Bug 1479352 - Sugar terminal attempts to display _vte_prompt_command's Command completed but fails
Sugar terminal attempts to display _vte_prompt_command's Command completed bu...
Status: CLOSED DUPLICATE of bug 1220006
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
26
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
http://bugs.sugarlabs.org/ticket/4844
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 08:14 EDT by Frederick Grose
Modified: 2017-08-08 08:37 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1220006
Environment:
Last Closed: 2017-08-08 08:37:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frederick Grose 2017-08-08 08:14:26 EDT
+++ This bug was initially created as a clone of Bug #1220006 +++

Description of problem:
This is an interaction between two Fedora components.

The Sugar learning environment's Terminal activity reads /etc/profile.d/vte.sh to get its shell prompt.  But this prompt attempts to show the previous command in the hardware command line(?) via an escape sequence, which the Sugar terminal does not have.

Instead; the Sugar terminal will show command prompts like:
{unicode 0x001b}777;notify;Command completed;previous_command[user@hostname directory]#


Version-Release number of selected component (if applicable): 
sugar-terminal-44-1.fc22.noarch
vte-profile-0.30.0-1.fc22.i686

How reproducible: Always

Steps to Reproduce:
1. Start the SoaS Live CD, or log into a Fedora system with Sugar (@sugar-desktop) installed using Sugar as your login environment.
2. Go through the first-time setup (if applicable) and then press the multiple horizontal line "list" icon from the spiral view.
3. Scroll down the list and choose the "Terminal" activity.
4. Look at your shell prompt.

- Actual results: An ugly shell prompt


- Expected results: Either the vte scripts should not presume every terminal has that capability, Sugar terminal should implement that capability, or Sugar terminal should silently eat the request.


- Additional info:
Seen in F22 Final TC3, x86 & x64.

--- Additional comment from Samuel Greenfeld on 2015-05-09 18:44:12 EDT ---

This actually is the notification displayed in GNOME if the terminal window does not have active focus, not the hardware/xterm text line.

--- Additional comment from Ricardo on 2015-05-27 00:10:58 EDT ---

This issue occurs for me in the LXDE spin of Fedora 22 for all vte based terminal emulators (at the very least Tilda and Terminator).

Thanks Samuel Greenfeld, I was able to open up /etc/profile.d/vte.sh and comment out line 57. This fixed the issue.

A workaround I had used before (probably with some unknown effect) was to open up my .bashrc and add

export PROMPT_COMMAND=;

Thanks for the help! Interestingly enough, this line is present in Fedora 21 vte.sh also, and causes no problems.

--- Additional comment from Semyon on 2015-06-01 02:58:49 EDT ---

Same problem for Sakura on Fedora 22 + OpenBox.

--- Additional comment from Mikhail on 2015-11-09 06:12:47 EST ---

Workaround which works for me: 
comment the string as shown

> sudo vim /etc/profile.d/vte.sh
...
_vte_prompt_command() {
...
# printf "\033]777;notify;Command completed;%s\007\033]0;%s@%s:%s\007%s" "${command}" "${USER}" "${HOSTNAME%%.*}" "${pwd}" "$(__vte_osc7)"
}

--- Additional comment from Fedora Admin XMLRPC Client on 2016-02-12 13:20:23 EST ---

This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

--- Additional comment from Fedora Admin XMLRPC Client on 2016-02-15 20:36:04 EST ---

This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

--- Additional comment from Fedora End Of Life on 2016-07-19 15:34:27 EDT ---

Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

--- Additional comment from  on 2016-07-24 22:56:53 EDT ---

still present in f24 and f25 SoaS

https://bugzilla.redhat.com/show_bug.cgi?id=1220006#c4

--- Additional comment from Frederick Grose on 2017-04-24 13:52:04 EDT ---

Still a problem in F26 SoaS.

--- Additional comment from Fedora End Of Life on 2017-07-25 14:55:00 EDT ---

This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

--- Additional comment from Fedora End Of Life on 2017-08-08 07:57:49 EDT ---

Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Please see this comment from the original report:
https://bugs.sugarlabs.org/ticket/4844#comment:3

"Custom escape sequence are the responsibility of Vte, not Sugar, not Terminal, not Tilda, not Terminator, not Sakura. GNOME Terminal handles this custom sequence. As the custom sequence is generated by the Vte package (via vte.sh), and not properly consumed by the Vte package (via libvte), the problem is with Vte assuming that GNOME Terminal is in use for all shells."
Comment 1 Peter Robinson 2017-08-08 08:37:21 EDT
Don't clone bugs, reopen and move them to the relevant release

*** This bug has been marked as a duplicate of bug 1220006 ***

Note You need to log in before you can comment on or make changes to this bug.